
%define rname Solaar

Name:		solaar
Version:	0.8.7
Release:	%mkrel 2
Summary:	Device manager for Logitech Unifying Receiver
Summary(fr_FR):	Gestionnaire de périphériques pour les récepteurs Logitech Unifying
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://pwr.github.io/Solaar/
Source:		https://github.com/pwr/Solaar/archive/%{rname}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	desktop-file-utils
BuildRequires:	python python-devel python-distribute

Requires:	pygtk2 
Requires:	pyudev
Requires:	python-gobject

%description
Solaar is a Linux device manager for Logitech's Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for each
device, and also pair/unpair supported devices with the receiver.

%description -l fr_FR
Solaar est un gestionnaire de périphérique Linux pour les récepteurs 
"Unifying" des périphériques Logitech.
Il est capable d'appairer/désapparier des appareils au récepteur, et
pour la plupart des appareils lire l'état de la batterie.

Il est disponible sous deux formes, la ligne de commande et l'interface 
graphique. 
Les deux sont en mesure d'énumérer les appareils associés à un récepteur 
Unifying, de montrer les informations détaillées pour chaque appareil, 
et également d'appairer/désapparier des dispositifs pris en charge 
avec le récepteur.

%prep
%setup -q -n %{rname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

rm -fr %buildroot/etc/udev/rules.d
mkdir -p %buildroot%{_udevrulesdir}
cat rules.d/99-logitech-unifying-receiver.rules |sed 's/plugdev/users/' > $RPM_BUILD_ROOT%{_udevrulesdir}/99-logitech-unifying-receiver.rules

# icon
install -d %{buildroot}%{_datadir}/pixmaps
cp $RPM_BUILD_ROOT/%{_datadir}/icons/solaar.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps

install -d $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/128x128/apps
cp $RPM_BUILD_ROOT/%{_datadir}/icons/solaar.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/128x128/apps

install -d $RPM_BUILD_ROOT/%{_datadir}/icons/oxygen/128x128/apps
cp $RPM_BUILD_ROOT/%{_datadir}/icons/solaar.png $RPM_BUILD_ROOT/%{_datadir}/icons/oxygen/128x128/apps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root, -)
%doc COPYRIGHT ChangeLog COPYING share/README docs
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{python_sitelib}/hidapi
%{python_sitelib}/logitech
%{python_sitelib}/solaar
%{python_sitelib}/solaar-%{version}-py2.7.egg-info
%{_datadir}/solaar/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_udevrulesdir}/*.rules


%changelog

* Wed May 08 2013 david.david (MLO Team) <david.david> 0.8.7-2.mga3
+ Rebuild package for Mageia 3 (Core)
- version: 0.8.7
- correcting line %%Source
- corecting "spec" file 
- add french language in %%description and %%Summary
- update rpm Group
- use /usr/lib/udev/rules.d (for Mageia 3)

* Tue May 07 2013 Olivier Delaune <olivier.delaune@wanadoo.fr> 0.8.7-1.mga2
- Initial version
